clang 8.0.0

Public Types | Static Public Member Functions | List of all members
clang::CodeGen::InvariantValue< T > Struct Template Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/EHScopeStack.h"`

Inheritance diagram for clang::CodeGen::InvariantValue< T >:
[legend]

## Public Types
typedef T | type
typedef T | saved_type

## Static Public Member Functions
static bool | needsSaving (type value)
static saved_type | save (CodeGenFunction &CGF, type value)
static type | restore (CodeGenFunction &CGF, saved_type value)

## Detailed Description

### template<class T>
struct clang::CodeGen::InvariantValue< T >

Definition at line 56 of file EHScopeStack.h.

## Member Typedef Documentation

## ◆ saved_type

template<class T>

typedef T clang::CodeGen::InvariantValue< T >::saved_type

Definition at line 58 of file EHScopeStack.h.

## ◆ type

template<class T>

typedef T clang::CodeGen::InvariantValue< T >::type

Definition at line 57 of file EHScopeStack.h.

## Member Function Documentation

## ◆ needsSaving()

template<class T>

static bool clang::CodeGen::InvariantValue< T >::needsSaving | ( | type | value | ) |
| inline static

Definition at line 59 of file EHScopeStack.h.

## ◆ restore()

template<class T>

static type clang::CodeGen::InvariantValue< T >::restore | ( | CodeGenFunction & | CGF,
|  | saved_type | value
| ) |  |
| inline static

Definition at line 61 of file EHScopeStack.h.

## ◆ save()

template<class T>

static saved_type clang::CodeGen::InvariantValue< T >::save | ( | CodeGenFunction & | CGF,
|  | type | value
| ) |  |
| inline static

Definition at line 60 of file EHScopeStack.h.

Referenced by EnterNewDeleteCleanup().

The documentation for this struct was generated from the following file:

- lib/CodeGen/EHScopeStack.h